package com.chinaitop.depot.grainAnalysis.mapper;

import com.chinaitop.depot.grainAnalysis.model.StorageGrainAnalysis;
import com.chinaitop.depot.grainAnalysis.model.StorageGrainAnalysisExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface StorageGrainAnalysisMapper {
    int countByExample(StorageGrainAnalysisExample example);

    int deleteByExample(StorageGrainAnalysisExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(StorageGrainAnalysis record);

    int insertSelective(StorageGrainAnalysis record);

    List<StorageGrainAnalysis> selectByExample(StorageGrainAnalysisExample example);

    StorageGrainAnalysis selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") StorageGrainAnalysis record, @Param("example") StorageGrainAnalysisExample example);

    int updateByExample(@Param("record") StorageGrainAnalysis record, @Param("example") StorageGrainAnalysisExample example);

    int updateByPrimaryKeySelective(StorageGrainAnalysis record);

    int updateByPrimaryKey(StorageGrainAnalysis record);

    /**
     * 查询一条仓房信息
     * 
     * @param map
     * @return
     */
    Map<String, Object> selectStoreHouseObj(Map<String, Object> map);

    /**
     * 查询一条油罐信息
     * 
     * @param map
     * @return
     */
	Map<String, Object> selecttankObj(Map<String, Object> param_map);
	
	/**
     * 查询粮情数据
     * 
     * @param map
     * @return
     */
	List<Map<String, Object>> getThreeTempData(Map<String, Object> param_map);
}